package com.bzd.system.service.fwgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 服务包订单 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SFwglServerorderinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSFwglServerorderinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServerorderinfoMapper.addSFwglServerorderinfo", pd);
    }

    public List<PageData> findSFwglServerorderinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SFwglServerorderinfoMapper.selectSFwglServerorderinfoList", pd);
    }

    public Integer SFwglServerorderinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SFwglServerorderinfoMapper.SFwglServerorderinfoRemove", pd);
    }


    public Integer updateSFwglServerorderinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServerorderinfoMapper.updateSFwglServerorderinfo", pd);
    }

}
